using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Media;


namespace LD20_Game
{
    static class MusicManager
    {
        static Dictionary<string, Song> songs = new Dictionary<string, Song>();
        static public Dictionary<string, Song> Songs
        {
            get
            {
                return songs;
            }
        }

        static public void Add(string name, Song song)
        {
            songs.Add(name, song);
        }

        public static void Play(string songName)
        {
            MediaPlayer.Play(songs[songName]);
        }

        public static void StopAllMusic()
        {
            MediaPlayer.Stop();
        }
    }
}
